Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514870 - Cannot install compat-gcc-34-c++ // nothing provides libstdc++ < 7.0.0
Summary: Cannot install compat-gcc-34-c++ // nothing provides libstdc++ < 7.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compat-gcc
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 02:24 UTC by Nicolas Sapa
Modified: 2018-03-06 17:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:24:08 UTC


Attachments (Terms of Use)

Description Nicolas Sapa 2017-11-19 02:24:31 UTC
Description of problem:
Package compat-gcc-34-c++ is not installable on Fedora 26.

Version-Release number of selected component (if applicable):
3.4.6


How reproducible:


Steps to Reproduce:
1. sudo dnf install compat-gcc-34-c++
2.
3.

Actual results:
Last metadata expiration check: 0:51:14 ago on Sun Nov 19 02:31:43 2017.
Error: 
 Problem: conflicting requests
  - nothing provides libstdc++ < 7.0.0 needed by compat-gcc-34-c++-3.4.6-41.fc26.x86_64

Expected results:
Successful installation of compat-gcc-34-c++

Additional info:
 $ LANG=C dnf info libstdc++
Last metadata expiration check: 0:38:01 ago on Sun Nov 19 02:45:50 2017.
Installed Packages
Name         : libstdc++
Version      : 7.2.1
Release      : 2.fc26
Arch         : i686
Size         : 1.9 M
Source       : gcc-7.2.1-2.fc26.src.rpm
Repo         : @System
From repo    : @commandline
Summary      : GNU Standard C++ Library
URL          : http://gcc.gnu.org
License      : GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions and LGPLv2+ and BSD
Description  : The libstdc++ package contains a rewritten standard compliant GCC Standard
             : C++ Library.

Name         : libstdc++
Version      : 7.2.1
Release      : 2.fc26
Arch         : x86_64
Size         : 1.9 M
Source       : gcc-7.2.1-2.fc26.src.rpm
Repo         : @System
From repo    : @commandline
Summary      : GNU Standard C++ Library
URL          : http://gcc.gnu.org
License      : GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions and LGPLv2+ and BSD
Description  : The libstdc++ package contains a rewritten standard compliant GCC Standard
             : C++ Library.

$ LANG=C dnf info compat-gcc-34-c++
Last metadata expiration check: 0:38:19 ago on Sun Nov 19 02:45:50 2017.
Available Packages
Name         : compat-gcc-34-c++
Version      : 3.4.6
Release      : 41.fc26
Arch         : x86_64
Size         : 9.9 M
Source       : compat-gcc-34-3.4.6-41.fc26.src.rpm
Repo         : fedora
Summary      : C++ support for compatibility compiler
URL          : http://gcc.gnu.org
License      : GPLv2+ and GPLv2+ with exceptions
Description  : This package includes a GCC 3.4.6-RH compatibility C++ compiler.

Comment 1 Rafal Luzynski 2017-12-02 19:51:29 UTC
See also: bug 1423303.

Comment 2 Nicolas Sapa 2017-12-30 03:07:49 UTC
Still present in Fedora 27.

Comment 3 Jonathan Wakely 2018-02-07 13:52:16 UTC
"Requires: libstdc++ < 7.0.0" seems to be an attempt to ensure that an
ABI-compatible version of libstdc++ is used, and conservatively names
a version that is known to be compatible (rather than assuming that
all future versions will be compatible).

The libstdc++ from GCC 8.x is ABI compatible wiuth 3.4.x, so bumping 
the Requires: to 9.0.0 (allowing any GCC 8.x release) is fine.

Comment 4 Stéphane PIQUEMAL 2018-02-23 09:28:58 UTC
I just fall into this issue with Fedora 26.
I already have compat-gcc-34-c++-3.4.6-41.fc26.x86_64 installed.
But it's now blocking any "dnf updates" because of the libstdc++ dependancy.
What are the current action to solve this problem ?
Are we waiting for an update on this package, or did I miss a workaround ?

Comment 5 Fedora Update System 2018-02-23 12:08:02 UTC
compat-gcc-34-3.4.6-46.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b853bf34b

Comment 6 Fedora Update System 2018-02-23 12:08:31 UTC
compat-gcc-34-3.4.6-46.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-61e0f160ba

Comment 7 Jonathan Wakely 2018-02-23 12:09:50 UTC
(In reply to Stéphane PIQUEMAL from comment #4)
> Are we waiting for an update on this package, or did I miss a workaround ?

Updated packages are needed, but the maintainer has been very busy with gcc-8.0.1 in rawhide, and compat-gcc-34 is much lower priority.

The updates have been submitted now and will be in updates-testing soon.

Comment 8 Fedora Update System 2018-02-23 16:27:45 UTC
compat-gcc-34-3.4.6-46.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-61e0f160ba

Comment 9 Fedora Update System 2018-02-23 16:58:24 UTC
compat-gcc-34-3.4.6-46.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b853bf34b

Comment 10 Nicolas Sapa 2018-03-01 23:05:34 UTC
Proposed update seem to works, I will provide feedback on bodhi:

$ sudo dnf install compat-gcc-34-c++ --enablerepo=updates-testing
[sudo] password for nico: 
Fedora 27 - x86_64 - Test Updates               750 kB/s | 4.4 MB     00:05    
Last metadata expiration check: 0:00:05 ago on Fri Mar  2 00:03:14 2018.
Dependencies resolved.
================================================================================
 Package               Arch       Version             Repository           Size
================================================================================
Installing:
 compat-gcc-34-c++     x86_64     3.4.6-46.fc27       updates-testing     9.9 M
Upgrading:
 compat-gcc-34         x86_64     3.4.6-46.fc27       updates-testing     3.7 M

Transaction Summary
================================================================================
Install  1 Package
Upgrade  1 Package

Total download size: 14 M
Is this ok [y/N]: y
Downloading Packages:
[MIRROR] compat-gcc-34-3.4.6-46.fc27.x86_64.rpm: Status code: 404 for https://mirror.us-midwest-1.nexcess.net/fedora/updates/testing/27/x86_64/Packages/c/compat-gcc-34-3.4.6-46.fc27.x86_64.rpm
[MIRROR] compat-gcc-34-c++-3.4.6-46.fc27.x86_64.rpm: Status code: 404 for https://mirror.us-midwest-1.nexcess.net/fedora/updates/testing/27/x86_64/Packages/c/compat-gcc-34-c++-3.4.6-46.fc27.x86_64.rpm
[MIRROR] compat-gcc-34-3.4.6-46.fc27.x86_64.rpm: Status code: 404 for http://mirror.us-midwest-1.nexcess.net/fedora/updates/testing/27/x86_64/Packages/c/compat-gcc-34-3.4.6-46.fc27.x86_64.rpm
[MIRROR] compat-gcc-34-c++-3.4.6-46.fc27.x86_64.rpm: Status code: 404 for http://mirror.us-midwest-1.nexcess.net/fedora/updates/testing/27/x86_64/Packages/c/compat-gcc-34-c++-3.4.6-46.fc27.x86_64.rpm
(1/2): compat-gcc-34-3.4.6-46.fc27.x86_64.rpm   941 kB/s | 3.7 MB     00:03    
(2/2): compat-gcc-34-c++-3.4.6-46.fc27.x86_64.r 2.2 MB/s | 9.9 MB     00:04    
--------------------------------------------------------------------------------
Total                                           2.4 MB/s |  14 MB     00:05     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Upgrading        : compat-gcc-34-3.4.6-46.fc27.x86_64                     1/3 
  Installing       : compat-gcc-34-c++-3.4.6-46.fc27.x86_64                 2/3 
  Cleanup          : compat-gcc-34-3.4.6-41.fc26.x86_64                     3/3 
  Verifying        : compat-gcc-34-c++-3.4.6-46.fc27.x86_64                 1/3 
  Verifying        : compat-gcc-34-3.4.6-46.fc27.x86_64                     2/3 
  Verifying        : compat-gcc-34-3.4.6-41.fc26.x86_64                     3/3 

Installed:
  compat-gcc-34-c++.x86_64 3.4.6-46.fc27                                        

Upgraded:
  compat-gcc-34.x86_64 3.4.6-46.fc27                                            

Complete!
 $ gcc34 --version
gcc34 (GCC) 3.4.6 20060404 (Red Hat 3.4.6-46.fc27)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Comment 11 Nicolas Sapa 2018-03-01 23:06:33 UTC
Wrong binary but still working:
$ g++34 --version
g++34 (GCC) 3.4.6 20060404 (Red Hat 3.4.6-46.fc27)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Comment 12 Fedora Update System 2018-03-06 17:24:08 UTC
compat-gcc-34-3.4.6-46.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-06 17:30:00 UTC
compat-gcc-34-3.4.6-46.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.